Bug 220385 - devel/glib20: optionize NLS
Summary: devel/glib20: optionize NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: gnome
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-30 15:23 UTC by Dmitry Marakasov
Modified: 2017-07-17 11:12 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Patch (9.10 KB, patch)
2017-06-30 15:25 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2017-06-30 15:23:04 UTC

    
Comment 1 Dmitry Marakasov freebsd_committer 2017-06-30 15:25:16 UTC
Created attachment 183941 [details]
Patch

Make NLS optional. There's no configure option to actually disable NLS support, but make it possible to not install locale files, which take 8 megabytes or 40% of package size, which may be noticeable for embedded systems and VPS.
Comment 2 commit-hook freebsd_committer 2017-07-17 11:12:45 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jul 17 11:12:33 UTC 2017
New revision: 446063
URL: https://svnweb.freebsd.org/changeset/ports/446063

Log:
  - Make NLS optional

  Sice there's not apparent way to disable gettext support, at least
  make locale files installation optional.

  PR:		220385
  Approved by:	maintainer timeout (gnome, 2 weeks)

Changes:
  head/devel/glib20/Makefile
  head/devel/glib20/pkg-plist